<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <com.baidu.mapapi.map.MapView
        android:id="@+id/tm_bmapView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true" />

    <!--
                         	   <com.qiyou.mb.android.utils.CrossIcon
						         android:id="@+id/rt_cross"
					             android:layout_width="match_parent"
					             android:layout_height="match_parent"
					              android:visibility="gone"	
						       /> 
    -->

    <ImageView
        android:id="@+id/rt_cross"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:src="@drawable/icon_cross"
        android:visibility="gone" />

    <com.qiyou.mb.android.utils.bmap.ZoomControlView
        android:id="@+id/ZoomControlView"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_alignParentRight="true"
        android:layout_marginBottom="20.0dip"
        android:layout_marginRight="5.0dip" />

    <!--
                                     <com.qiyou.mb.android.utils.bmap.ScaleView
							        android:id="@+id/scaleView"
							        android:layout_width="wrap_content"
							        android:layout_height="wrap_content"
							        android:layout_alignParentBottom="true"
							        android:layout_alignParentLeft="true"
							        android:layout_marginBottom="20dp"
							        android:layout_marginLeft="2dp" />
    -->

    <LinearLayout
        android:layout_width="0px"
        android:layout_height="0px" >
 <!-- not show on map,its pop text -->

        <TextView
            android:id="@+id/txt_custWpNum"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/popup_down"
            android:textColor="@color/red"
            android:textSize="12sp"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/popinfo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical" >

            <TextView
                android:id="@+id/textcache"
                style="@style/ll_text_view"
                android:layout_gravity="center_horizontal"
                android:layout_margin="-1dp"
                android:background="@drawable/popup_middle"
                android:gravity="center"
                android:textStyle="normal" />

            <!--
                                          <TextView
								        android:id="@+id/popdown"
								        android:layout_width="wrap_content"
								        android:layout_height="wrap_content"
								        android:background="@drawable/popup_down"
								        android:textColor="@android:color/black"
								        android:gravity="center_horizontal"
								        android:layout_gravity="center_horizontal"
						                android:textSize="12sp" />
            -->
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_left_btns"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:gravity="left"
        android:orientation="vertical" >

        <!-- android:background="@color/blue"    android:alpha="0.3" -->

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
           
         
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:gravity="fill_horizontal"
            android:orientation="vertical" >

            <LinearLayout
                android:id="@+id/rt_ll_topButttons"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:visibility="gone" >

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal" >

                    <Spinner
                        android:id="@+id/SpinnerRouteType"
                        style="@style/ll_spinner"
                        android:layout_width="wrap_content"
                        android:layout_gravity="left"
                        android:layout_marginLeft="4dp"
                        android:layout_weight="0"
                        android:gravity="left"
                        android:prompt="@string/sp_type_prompt" />

                    <!--
                                                          <CheckBox
								           			     android:id="@+id/chck_mainRoad"
								           			     style ="@style/ll_button.small"   
								           			     android:textSize ="@dimen/text_size"
								           			     android:checked="false"  
								           			     android:layout_width="100dp"
								           			   	 android:paddingRight="0dp"
								           			     android:layout_weight="0"  
								           			     android:gravity="center_vertical|left"
								           			     android:text="干道优先"
								           			     android:visibility="gone"
								           			    />
                    -->

                    <EditText
                        android:id="@+id/rt_txt_city"
                        style="@style/td_text"
                        android:layout_width="wrap_content"
                        android:layout_gravity="bottom"
                        android:layout_weight="0"
                        android:gravity="center"
                        android:hint="例：北京市"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/rt_txt_target"
                        style="@style/td_text"
                        android:layout_gravity="bottom"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:hint="请输入查询地址"
                        android:textStyle="bold" />
                    <!-- android:text="苏州" -->

                    <ImageButton
                        android:id="@+id/rt_search"
                        style="@style/imageButton"
                        android:layout_width="30dp"
                        android:layout_height="35dp"
                        android:layout_weight="0"
                        android:background="#00000000"
                        android:onClick="search"
                        android:src="@drawable/icon_search" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/rt_btnCalculate"
                        style="@style/ll_button.small"
                        android:layout_width="fill_parent"
                        android:layout_weight="1"
                        android:text="计算" />

                    <Button
                        android:id="@+id/rt_btnSave"
                        style="@style/ll_button.small"
                        android:layout_width="fill_parent"
                        android:layout_weight="1"
                        android:text="保存" />

                    <Button
                        android:id="@+id/rt_btnSNav"
                        style="@style/ll_button.small"
                        android:layout_width="fill_parent"
                        android:layout_weight="1"
                        android:text="模拟" />

                    <Button
                        android:id="@+id/rt_btnNav"
                        style="@style/ll_button.small"
                        android:layout_width="fill_parent"
                        android:layout_weight="1"
                        android:text="导航" />

                    <Button
                        android:id="@+id/rt_btnReverse"
                        style="@style/ll_button.small"
                        android:layout_width="fill_parent"
                        android:layout_weight="1"
                        android:text="返程" />

                    <Button
                        android:id="@+id/rt_btnReset"
                        style="@style/ll_button.small"
                        android:layout_width="fill_parent"
                        android:layout_weight="1"
                        android:text="重设" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout style="@style/ll_line_note" >

                <TextView
                    android:id="@+id/rt_notice"
                    style="@style/text_note"
                    android:text="@string/note_start"
                    android:visibility="gone" />
            </LinearLayout>

            <android.support.v7.widget.GridLayout
                xmlns:app="http://schemas.android.com/apk/res/com.qiyou.mb.android"
                android:id="@+id/grid_top_txt"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center_horizontal"
                android:gravity="center"
                android:visibility="gone"
                app:alignmentMode="alignBounds"
                app:columnCount="3"
                app:orientation="horizontal"
                app:rowCount="10"
                app:useDefaultMargins="false" >

                <TextView
                    style="@style/text_view_map_top"
                    android:layout_marginRight="10dp"
                    android:text="距离" />

                <TextView
                    style="@style/text_view_map_top"
                    android:layout_marginRight="10dp"
                    android:text="时间" />

                <TextView
                    android:id="@+id/tm_top_speed_title"
                    style="@style/text_view_map_top"
                    android:layout_marginRight="10dp"
                    android:text="速度" />

                <TextView
                    android:id="@+id/tm_textView_top_dist"
                    style="@style/edit_view_map_top"
                    android:layout_marginRight="10dp"
                    android:text="0.00" />

                <TextView
                    android:id="@+id/tm_textView_top_sptime"
                    style="@style/edit_view_map_top"
                    android:layout_marginRight="10dp"
                    android:text="0.00" />

                <TextView
                    android:id="@+id/tm_textView_top_speed"
                    style="@style/edit_view_map_top"
                    android:layout_marginRight="10dp"
                    android:text="_._" />
            </android.support.v7.widget.GridLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/left_btns"
            android:layout_width="30dp"
            android:layout_height="match_parent"
            android:layout_marginBottom="50dp"
            android:layout_marginTop="8dp"
            android:orientation="vertical" >
 <!-- android:background="@color/red" -->

            <ImageButton
                android:id="@+id/tm_btnLocaiton"
                style="@style/imageButton"
                android:src="@drawable/location"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/tm_btnRotaiton"
                style="@style/imageButton"
                android:src="@drawable/icon_rotation"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/tm_btnAutozoom"
                style="@style/imageButton"
                android:src="@drawable/icon_auto_zoom_inactive"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/tm_btnSaveScreen"
                style="@style/imageButton"
                android:src="@drawable/screenshot"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/tm_btnSatalite"
                style="@style/imageButton"
                android:src="@drawable/satellite"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/tbs_btnKMpoints"
                style="@style/imageButton"
                android:src="@drawable/icon_dist_in"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/tbs_btnwayinstruction"
                style="@style/imageButton"
                android:layout_height="wrap_content"
                android:src="@drawable/wayinstructions4"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/tbs_btnpicture"
                style="@style/imageButton"
                android:layout_height="wrap_content"
                android:src="@drawable/picture"
                android:visibility="gone" />

            <!--
                                                           <Button
													           android:id="@+id/tbs_btnTurnPoints"
													            style="@style/imageButton"
													           android:visibility="gone"
													          
													           android:text="转弯" />
            -->

            <ImageButton
                android:id="@+id/rt_btnStart"
                style="@style/imageButton"
                android:paddingRight="10dp"
                android:src="@drawable/icon_st"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/rt_btnEnd"
                style="@style/imageButton"
                android:paddingRight="10dp"
                android:src="@drawable/icon_en"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/rt_btnWps"
                style="@style/imageButton"
                android:paddingRight="10dp"
                android:src="@drawable/icon_pass"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/rt_btnRest"
                style="@style/imageButton"
                android:paddingRight="10dp"
                android:src="@drawable/icon_rest"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/rt_btnTent"
                style="@style/imageButton"
                android:paddingRight="10dp"
                android:src="@drawable/icon_tent"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/rt_btnCheck"
                style="@style/imageButton"
                android:paddingRight="10dp"
                android:src="@drawable/icon_check"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/rt_btnHand"
                style="@style/imageButton"
                android:paddingRight="10dp"
                android:src="@drawable/icon_edit"
                android:visibility="gone" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:gravity="right"
        android:orientation="vertical" >
 <!-- android:background="#@color/green" -->

        <LinearLayout
            android:id="@+id/ll_right_btns"
            android:layout_width="30dp"
            android:layout_height="150dp"
            android:layout_marginTop="70dp"
            android:orientation="vertical" >

            <ImageButton
                android:id="@+id/map_btnLoadRoadbook"
                style="@style/imageButton"
                android:layout_marginBottom="30dp"
                android:src="@drawable/icon_roadbook1"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/map_btnSharelist"
                style="@style/imageButton"
                android:layout_marginBottom="30dp"
                android:src="@drawable/icon_livelistoff"
                android:visibility="gone" />

            <ImageButton
                android:id="@+id/map_btnLive"
                style="@style/imageButton"
                android:src="@drawable/icon_radio_in"
                android:visibility="gone" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_liveList"
        style="@style/ll_line_1"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="2dp"
        android:visibility="gone" >

        <!-- android:background="@color/yellow" -->

        <LinearLayout
            style="@style/ll_line_1"
            android:layout_height="wrap_content"
            android:paddingTop="5dp" >

            <EditText
                android:id="@+id/share_edit_username"
                android:layout_width="120dp"
                android:layout_height="wrap_content"
                android:layout_gravity="top"
                android:layout_marginBottom="5dp"
                android:gravity="center"
                android:hint="请输入名称"
                android:maxLength="20"
                android:text=""
                android:textSize="@dimen/text_m_size" />

            <ImageView
                android:id="@+id/share_btn_query"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="left"
                android:layout_marginLeft="2dp"
                android:layout_marginRight="30dp"
                android:layout_marginTop="10dp"
                android:layout_weight="0"
                android:background="@drawable/icon_search" />

            <Button
                android:id="@+id/share_btn_list"
                style="@style/button_top"
                android:layout_width="80dp"
                android:layout_gravity="right"
                android:text="@string/share_hide_list" />

            <Button
                android:id="@+id/share_btn_refresh"
                style="@style/button_top"
                android:layout_width="60dp"
                android:layout_gravity="right"
                android:text="@string/act_refresh" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/share_ll_list"
            style="@style/ll_line_basic"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

            <LinearLayout style="@style/ll_line_1" >

                <TextView
                    style="@style/ll_fill_unit"
                    android:background="#95FFFFF0"
                    android:gravity="center_horizontal"
                    android:text="驴友" />

                <TextView
                    style="@style/ll_fill_unit"
                    android:layout_marginLeft="2dp"
                    android:background="#95FFFFF0"
                    android:gravity="center_horizontal"
                    android:text="相距" />

                <TextView
                    style="@style/ll_fill_unit"
                    android:layout_width="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_weight="0"
                    android:background="#95FFFFF0"
                    android:text="@string/live_map_title" />
            </LinearLayout>

            <ListView
                android:id="@+id/act_live_list"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="2dp"
                android:layout_weight="1"
                android:visibility="visible" />
        </LinearLayout>
    </LinearLayout>

</RelativeLayout>